"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.loadProjectConfig = exports.PROJECT_CONFIG_FILENAME = void 0;
const find_up_1 = __importDefault(require("find-up"));
const promises_1 = require("fs/promises");
const path_1 = __importDefault(require("path"));
const ProjectConfigSchema_1 = require("./schemas/ProjectConfigSchema");
exports.PROJECT_CONFIG_FILENAME = "fern.config.json";
async function loadProjectConfig() {
    const pathToProjectConfig = await (0, find_up_1.default)(exports.PROJECT_CONFIG_FILENAME);
    if (pathToProjectConfig == null) {
        return undefined;
    }
    const projectConfigStr = await (0, promises_1.readFile)(pathToProjectConfig);
    const projectConfigParsed = JSON.parse(projectConfigStr.toString());
    const projectConfig = await ProjectConfigSchema_1.ProjectConfigSchema.parseAsync(projectConfigParsed);
    return {
        workspaces: projectConfig.workspaces ?? [],
        _absolutePath: path_1.default.resolve(pathToProjectConfig),
    };
}
exports.loadProjectConfig = loadProjectConfig;
//# sourceMappingURL=loadProjectConfig.js.map