"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const convertWorkspaceDefinition_1 = require("../convertWorkspaceDefinition");
describe("convertWorkspaceDefinition", () => {
    it("relative input path", () => {
        const result = (0, convertWorkspaceDefinition_1.convertWorkspaceDefinition)({
            definition: {
                input: "my/input",
                plugins: [],
            },
            absolutePathToDefinition: "/path/to/definition/.fernrc.yml",
        });
        expect(result._absolutePath).toBe("/path/to/definition");
        expect(result.absolutePathToInput).toBe("/path/to/definition/my/input");
    });
    it("absolute input path", () => {
        const result = (0, convertWorkspaceDefinition_1.convertWorkspaceDefinition)({
            definition: {
                input: "/my/input",
                plugins: [],
            },
            absolutePathToDefinition: "/path/to/definition/.fernrc.yml",
        });
        expect(result._absolutePath).toBe("/path/to/definition");
        expect(result.absolutePathToInput).toBe("/my/input");
    });
});
//# sourceMappingURL=convertWorkspaceDefinition.test.js.map