"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.convertWorkspaceDefinition = void 0;
const path_1 = __importDefault(require("path"));
function convertWorkspaceDefinition({ definition, absolutePathToDefinition, }) {
    const absolutePathToWorkspaceDir = path_1.default.dirname(absolutePathToDefinition);
    return {
        _absolutePath: absolutePathToWorkspaceDir,
        name: definition.name,
        absolutePathToInput: path_1.default.resolve(absolutePathToWorkspaceDir, definition.input),
        plugins: definition.plugins.map((plugin) => ({
            name: plugin.name,
            version: plugin.version,
            absolutePathToOutput: plugin.output != null ? path_1.default.resolve(absolutePathToWorkspaceDir, plugin.output) : undefined,
            config: plugin.config,
            helpers: plugin.helpers != null
                ? plugin.helpers.map((helper) => ({
                    name: helper.name,
                    version: helper.version,
                    locationOnDisk: helper.locationOnDisk,
                }))
                : [],
        })),
    };
}
exports.convertWorkspaceDefinition = convertWorkspaceDefinition;
//# sourceMappingURL=convertWorkspaceDefinition.js.map