"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.loadWorkspaceDefinition = exports.loadWorkspaceDefinitionSchema = exports.WORKSPACE_DEFINITION_FILENAME = void 0;
const promises_1 = require("fs/promises");
const js_yaml_1 = __importDefault(require("js-yaml"));
const convertWorkspaceDefinition_1 = require("./convertWorkspaceDefinition");
const WorkspaceDefinitionSchema_1 = require("./schemas/WorkspaceDefinitionSchema");
exports.WORKSPACE_DEFINITION_FILENAME = ".fernrc.yml";
async function loadWorkspaceDefinitionSchema(absolutePathToDefinition) {
    const contentsStr = await (0, promises_1.readFile)(absolutePathToDefinition);
    const contentsParsed = js_yaml_1.default.load(contentsStr.toString());
    return await WorkspaceDefinitionSchema_1.WorkspaceDefinitionSchema.parseAsync(contentsParsed);
}
exports.loadWorkspaceDefinitionSchema = loadWorkspaceDefinitionSchema;
async function loadWorkspaceDefinition(absolutePathToDefinition) {
    const validated = await loadWorkspaceDefinitionSchema(absolutePathToDefinition);
    return (0, convertWorkspaceDefinition_1.convertWorkspaceDefinition)({
        definition: validated,
        absolutePathToDefinition,
    });
}
exports.loadWorkspaceDefinition = loadWorkspaceDefinition;
//# sourceMappingURL=loadWorkspaceDefinition.js.map